ServersGet server access rules
Servers

Get server access rules

Retrieve access control rules for a server.

curl -X GET "https://api.mythic-analytics.com/api/v1/mcp/servers/example_string/access" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "client_id": "acme-retail",
      "allowed": true,
      "tool_restrictions": [
        "example_string"
      ]
    }
  ]
}
GET
/mcp/servers/{id}/access
GET
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

MCP server identifier.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

MCP server identifier.

Responses

successboolean
dataarray